AOZ Studio Beta - Bug #96

Help_65 from the AmosPro Examples : browser memory overflow
02/01/2020 07:24 AM - Baptiste Pillot

Status: Closed Start date: 02/01/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.4

Affected version: 0.9.3.2

Description

This consumes a lot of memory in Chrome (no CPU, only Memory), and finally the browser crashes, after about 10 seconds on my
PC.

#manifest:"amiga"
#splashScreen:off

Rem *** tidy up screen and print instructions
Default : Screen Open 0,680,640,8, Lowres
Palette $0,S$FFO0,$F77,SFF, $111,$333,5555, 8777
Curs Off : Flash Off : Cls 0 : Paper 0 : Hide

Set Rainbow 0,0,256,"","","(16,1,2)" : Rainbow 0,1,48,256

Pen 1 : Locate 13,5 : Print "ON THE NEXT SCREEN"

Pen 2 : Locate 2,8 : Print "Scroll around the screen using the mouse"
Locate 3,10 : Print "Press left mouse key to paste an Icon"

Locate 7,12 : Print "Press right mouse key to quit"

Locate 6,20 : Print "Press any mouse key to continue"

Repeat : Until Mouse Key : Screen Hide : Wait Vbl : Cls O
Rem *** draw and grab an icon

Ink 3 : Box 0,0 To 30,30

Draw 0,0 To 30,30 : Draw 0,30 To 30,0
Ink 5 : Paint 15,5 : Ink 7 : Paint 15,25
Ink 4 : Paint 5,15 : Ink 6 : Paint 25,15
Get Icon 1,0,0 To 31,31 : Cls O

T

Rem *** set out the demo screen

Ink 1 : Pen 1 : Paper O

COUNT=1

For Y¥=0 To 15

For X=0 To 19

Locate X*4+1,Y*4+41 : Print COUNT

Inc COUNT

Next

Next

Screen Show : Show : Change Mouse 2

T

Do

Screen Offset 0,X Mouse—-128,Y Mouse—-46
If Mouse Key=1 Then Paste Icon X Screen (X Mouse),Y Screen(Y Mouse),1l
If Mouse Key=2 Then Edit

Wait Vbl

Loop

e source : https://www.amos?2.fr/ide/Amos2/Ide/Program/457
e run : https://www.amos2.fr/run/tickleman/23/

Related issues:
Related to AOZ Studio Beta - Bug #23: Default causes Internal Error Closed 01/18/2020

History
https://www.amos2.fr/ide/Amos2/Ide/Program/457
https://www.amos2.fr/run/tickleman/23/

#1 - 02/01/2020 07:24 AM - Baptiste Pillot
- Related to Bug #23: Default causes Internal Error added

#2 - 02/03/2020 03:51 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to 0.9.4

Problems in rainbows. Now works perfectly, and with rainbows in 'slow' mode => exactly as on the Amiga! :)

#3 - 03/07/2020 12:07 PM - Baptiste Pillot
- Description updated

- Status changed from Resolved to Closed
Seems ok, no memory overflow for me.

Files

main.aoz 5.13 KB 02/01/2020 Baptiste Pillot

04/26/2024 22


http://www.tcpdf.org

